//
//  ContentView.swift
//  ContainerRelativeFrameDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI

struct ContentView: View {
    let colors: [Color] = [.pink, .indigo, .yellow, .teal, .green, .brown]
    
    var body: some View {
        ScrollView {
            LazyVStack(spacing: 0) {
                ForEach(colors, id: \.self) { color in
                    color
                        // NOTE: Comment out or Uncomment the following instances
                        // of containerRelativeFrame to try it out.
                        
                        // Example 1:
                        .containerRelativeFrame(.vertical)
                    
                        // Example 2: Resize using container length on each axis.
//                        .containerRelativeFrame([.horizontal, .vertical]) { length, axis in
//                            axis == .horizontal ? length/2 : length/3
//                        }
                    
                        // Example 3: Resize using specific size values.
//                        .containerRelativeFrame([.horizontal, .vertical]) { length, axis in
//                            axis == .horizontal ? 300 : 250
//                        }
                    
                        // Example 4: Split in rows (without spacing).
//                        .containerRelativeFrame(.vertical, count: 10, span: 2, spacing: 0)
                    
                        // Example 5: Split in rows (with spacing).
//                        .containerRelativeFrame(.vertical, count: 10, span: 2, spacing: 50)
                    
                        // Example 6: Split in rows and columns.
//                        .containerRelativeFrame([.horizontal, .vertical], count: 10, span: 2, spacing: 0)
                    
                        // Example 7: Applying the modifier twice.
//                        .containerRelativeFrame(.vertical, count: 10, span: 2, spacing: 0)
//                        .containerRelativeFrame(.horizontal) { length, axis in
//                            0.75 * length
//                        }
                }
            }
        }
    }
}

#Preview {
    ContentView()
}
